## pandas 2.2.2+dfsg

=== debian/changelog ===
pandas (2.2.2+dfsg-4) unstable; urgency=medium

  * Tests: re-enable bottleneck and tabulate (see #1070359, #1070360),
    make blosc xfail nonstrict, use pyproject.toml in autopkgtest,
    run autopkgtest in CI, be less verbose to fit in the CI log.
  * Add transition Breaks.
  * Upload to unstable. (Closes: #1069792)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 07 Jul 2024 19:36:37 +0100

pandas (2.2.2+dfsg-3) experimental; urgency=medium

  * Tests: add forgotten import.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 May 2024 14:47:52 +0100

pandas (2.2.2+dfsg-2) experimental; urgency=medium

  * Allow importing pandas._testing without pytest.
  * Tests: don't require 32-bit to imply time32.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 May 2024 11:29:54 +0100

pandas (2.2.2+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright, patches, depends.
  * Upload to experimental, due to potential breakage (see #1069792).
  * Tests: use our test data path, skip too-old dependencies,
    mark some tests as requiring optional dependencies,
    remove no longer needed patches, clean up afterwards.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 05 May 2024 14:40:45 +0100
