## pandas 2.2.3+dfsg

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                locales-all,
                python3-all-dev,
                cython3 (>= 3.0.5~),
-# we don't have this version               python3-blosc (>= 1.21.3~) <!nocheck> <!nodoc>,
+# python3-blosc is not actually used (blosc is used through python3-tables instead)
                python3-bottleneck (>= 1.3.6~) <!nocheck> <!nodoc>,
                python3-bs4 (>= 4.11.2~) <!nocheck> <!nodoc>,
                python3-dask (>= 2023.2.0~) <!nocheck> <!nodoc>,
@@ -21,19 +21,19 @@
                python3-hypothesis (>= 6.46.1~) <!nocheck> <!nodoc>,
                python3-jinja2 (>= 3.1.2~) <!nocheck> <!nodoc>,
                python3-lxml (>= 4.9.2~) <!nocheck> <!nodoc>,
-               python3-matplotlib (>= 3.6.3~) [!ia64 !loong64 !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
+               python3-matplotlib (>= 3.6.3~) [!alpha !hurd-any !loong64 !m68k !powerpc !sh4 !sparc64 !x32] <!nocheck> <!nodoc>,
 # numba has a history of bugs on non-x86, e.g. #1033907
 # architectures here are the ones on which to treat numba-related failures as RC - see also debian/tests/control
 # temporarily disabled as numba is not in testing #1033907               python3-numba (>= 0.56.4~) [amd64 i386 ppc64el] <!nocheck> <!nodoc>,
-               python3-numexpr (>= 2.8.4~) <!nocheck> <!nodoc>,
+               python3-numexpr (>= 2.8.4~) [!hurd-any] <!nocheck> <!nodoc>,
                python3-numpy (>= 1:1.23.2~),
                python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
                python3-openpyxl (>= 3.1.0~) <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-psycopg2 (>= 2.9.6~) <!nocheck> <!nodoc>,
                python3-py <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-pymysql (>= 1.0.2~) <!nocheck> <!nodoc>,
-               python3-pyqt5 (>= 5.15.9~) <!nocheck> <!nodoc>,
-               python3-pyreadstat (>= 1.2.0~) [!ia64 !loong64 !sparc64 !x32] <!nocheck> <!nodoc>,
+               python3-pyqt5 (>= 5.15.9~) [!alpha !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
+# in -indep to reduce circular dependencies python3-pyreadstat,
                python3-pytest (>= 7.3.2~) <!nocheck> <!nodoc>,
                python3-pytest-asyncio (>= 0.17~) <!nocheck> <!nodoc>,
                python3-pytest-forked <!nocheck> <!nodoc>,
@@ -43,7 +43,7 @@
 # we don't have python3-pyxlsb
                python3-scipy (>= 1.10.0~),
                python3-setuptools (>= 51~),
-# we don't have this version               python3-sqlalchemy (>= 2.0.0~) [!ia64 !hppa !sh4 !x32] <!nocheck> <!nodoc>,
+               python3-sqlalchemy (>= 2.0.0~) [!hurd-any !hppa !powerpc !sparc64] <!nocheck> <!nodoc>,
 # python3-tables is now little-endian only, and also unavailable on some ports
                python3-tables (>= 3.8.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha] <!nocheck> <!nodoc>,
                python3-tabulate (>= 0.9.0~) <!nocheck> <!nodoc>,
@@ -62,12 +62,11 @@
 Build-Depends-Indep: python3-sphinx <!nodoc>,
                      python3-sphinx-copybutton <!nodoc>,
                      python3-sphinx-design <!nodoc>,
-                     python3-pydata-sphinx-theme <!nodoc>,
+                     python3-pydata-sphinx-theme (>= 0.14~) <!nodoc>,
                      python3-ipykernel <!nodoc>,
 # we don't have this version                     python3-notebook (>= 7.0.6~) <!nodoc>,
-# we don't have this version                     python3-nbconvert (>= 7.11.0~) <!nodoc>,
                      python3-notebook <!nodoc>,
-                     python3-nbconvert <!nodoc>,
+                     python3-nbconvert (>= 7.11.0~) <!nodoc>,
                      python3-nbsphinx <!nodoc>,
                      python3-numpydoc <!nodoc>,
                      python3-pygments <!nodoc>,
@@ -77,9 +76,9 @@
                      pandoc <!nodoc>,
 # for intersphinx inventories
                      python3-doc <!nodoc>,
-# no longer exists                     python-numpy-doc <!nodoc>,
+                     python-numpy-doc <!nodoc>,
                      python-scipy-doc <!nodoc>,
-# no longer exists                     python-matplotlib-doc <!nodoc>,
+                     python-matplotlib-doc <!nodoc>,
                      python-statsmodels-doc <!nodoc>,
 # these are for not having (as many) exception messages in documentation examples
 # so may be temporarily removed if they are broken or to break bootstrap cycles
@@ -87,9 +86,11 @@
 #fails with KeyError 'state', possibly nbconvert bug 1731                     python3-ipywidgets <!nodoc>,
                      python3-rpy2 <!nodoc>,
                      python3-seaborn <!nodoc>,
-                     python3-sqlalchemy <!nodoc>,
-                     python3-statsmodels <!nodoc>,
-                     python3-xarray (>= 2022.12.0~) <!nodoc>,
+# these are also used in some tests, but depend on pandas, so are in -indep to avoid
+# circular-dependency BD-Uninstallable when arch:all finishes before some of the arch:any start
+                     python3-pyreadstat (>= 1.2.0~) <!nocheck> <!nodoc>,
+                     python3-statsmodels <!nocheck> <!nodoc>,
+                     python3-xarray (>= 2022.12.0~) <!nocheck> <!nodoc>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
@@ -104,7 +105,6 @@
          python3-dateutil,
          python3-pandas-lib (>= ${source:Upstream-Version}),
 # should maybe have a python3-pandas-lib (<< ${source:Upstream-Version}.0), as well, but that leaves arch:all BD-Uninstallable if arch:amd64 builds first
-         python3-pkg-resources,
          tzdata
 Recommends: python3-scipy,
             python3-matplotlib,
