=== debian/tests/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
          ca-certificates,
          locales-all,
          python3-all,
-# we don't have this version         python3-blosc (>= 1.21.3~),
+# python3-blosc is not actually used (blosc is used through python3-tables instead)
          python3-bottleneck (>= 1.3.6~),
          python3-bs4 (>= 4.11.2~),
          python3-dask (>= 2023.2.0~),
@@ -46,7 +46,7 @@
 # we don't have python3-pyxlsb
          python3-scipy (>= 1.10.0~),
          python3-setuptools (>= 51~),
-# we don't have this version         python3-sqlalchemy (>= 2.0.0~),
+         python3-sqlalchemy (>= 2.0.0~),
 # python3-tables is now little-endian only, and also unavailable on some ports
          python3-tables (>= 3.8.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha],
          python3-tabulate (>= 0.9.0~),
