## pandas 2.3.1+dfsg

=== debian/changelog ===
pandas (2.3.1+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update contributors and patches.
  * Upload to experimental, due to potential breakage (see #1111280).
  * Use pybuild-plugin-pyproject, meson and more modern dh* style.
  * Docs: build-depend on pickleshare for bookmarks.
  * Docs reproducibility: strip ipykernel IDs and more times.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Clean up after tests.
  * autopkgtest: be less verbose to not overflow the CI log.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 16 Aug 2025 14:31:43 +0100
