=== debian/control ===
--- 
+++ 
@@ -5,12 +5,16 @@
            Rebecca N. Palmer <rebecca_palmer@zoho.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
+Build-Depends: cython3 (>= 3.0.5~),
+               debhelper-compat (= 13),
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                faketime,
                locales-all,
+               meson (>= 1.2.1~),
+               pybuild-plugin-pyproject,
                python3-all-dev,
-               cython3 (>= 3.0.5~),
 # python3-blosc is not actually used (blosc is used through python3-tables instead)
                python3-bottleneck (>= 1.3.6~) <!nocheck> <!nodoc>,
                python3-bs4 (>= 4.11.2~) <!nocheck> <!nodoc>,
@@ -22,6 +26,7 @@
                python3-jinja2 (>= 3.1.2~) <!nocheck> <!nodoc>,
                python3-lxml (>= 4.9.2~) <!nocheck> <!nodoc>,
                python3-matplotlib (>= 3.6.3~) [!alpha !hurd-any !loong64 !m68k !powerpc !sh4 !sparc64 !x32] <!nocheck> <!nodoc>,
+               python3-mesonpy (>= 0.13.1~),
 # numba has a history of bugs on non-x86, e.g. #1033907
 # architectures here are the ones on which to treat numba-related failures as RC - see also debian/tests/control
 # temporarily disabled as numba is not in testing #1033907               python3-numba (>= 0.56.4~) [amd64 i386 ppc64el] <!nocheck> <!nodoc>,
@@ -53,7 +58,6 @@
                python3-xlsxwriter (>= 3.0.5~) <!nocheck> <!nodoc>,
                python3-versioneer,
                python3-zstandard (>= 0.19.0~) <!nocheck> <!nodoc>,
-               sphinx-common,
 # for tests/examples that use old-style timezone names
                tzdata-legacy <!nocheck> <!nodoc>,
                xvfb <!nocheck>,
@@ -69,6 +73,7 @@
                      python3-nbconvert (>= 7.11.0~) <!nodoc>,
                      python3-nbsphinx <!nodoc>,
                      python3-numpydoc <!nodoc>,
+                     python3-pickleshare <!nodoc>,
                      python3-pygments <!nodoc>,
                      ipython3 (>= 7.11.1~) <!nodoc>,
                      jdupes <!nodoc>,
@@ -91,7 +96,7 @@
                      python3-pyreadstat (>= 1.2.0~) <!nocheck> <!nodoc>,
                      python3-statsmodels <!nocheck> <!nodoc>,
                      python3-xarray (>= 2022.12.0~) <!nocheck> <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 Homepage: https://pandas.pydata.org/
