## pandas 2.3.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -159,7 +159,6 @@
         python3-skbio (<< 0.5.9~),
         python3-sklearn-pandas (<= 2.2.0-1.1),
         python3-sunpy (<< 5.1.0-1~),
-# broken tests but probably not broken actual package        python3-tqdm (<= 4.64.1-1),
 # python3-ulmo affected test no longer run but not actually fixed
         python3-ulmo (<= 0.8.8+dfsg1-2),
         python3-upsetplot (<< 0.8.0-3~),
@@ -174,6 +173,8 @@
         augur (<< 24.4.0-1~),
         python3-influxdb (<< 5.3.2-1~),
         python3-statsmodels (<< 0.14.2~),
+# no 2.2 -> 2.3 API breaks, #1111280
+# broken tests but probably not broken actual package        python3-tqdm (<= 4.67.1-5),
 Description: data structures for "relational" or "labeled" data
  pandas is a Python package providing fast, flexible, and expressive
  data structures designed to make working with "relational" or
