## pandas 2.3.2+dfsg

=== debian/changelog ===
pandas (2.3.2+dfsg-2) unstable; urgency=medium

  * Revert __version__ to the non-+dfsg form to not break mlpack.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 18 Sep 2025 15:08:15 +0100

pandas (2.3.2+dfsg-1) pandas2p3; urgency=medium

  * New upstream release.  Update contributors and patches.
  * Docs reproducibility: fix some more random seeds.
  * Upload to unstable. (Closes: #1111280)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 04 Sep 2025 21:25:53 +0100
