## pandas 2.3.3%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SOURCE_DATE:=$(shell LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
 SOURCE_TIME:=$(shell LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")
 
-UVER := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,+dfsg,,g')
+UVER := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,+dfsg[0-9]*,,g')
 # Python doesn't use ~ for rc
 UVER_PY := $(shell echo $(UVER) | sed -e 's,[~],,g')
 UVER_PYSHORT := $(shell echo $(UVER_PY) | sed -e 's,+git.*,,g')
@@ -87,13 +87,12 @@
 	find pandas/ -regex '.*\.c\(\|pp\)' | xargs grep -l -e 'Generated by Cython'  | xargs -r rm -f
 	# the || true is because this will fail without docutils (-arch or nodoc builds)
 	cd doc && LC_ALL=C.UTF-8 python3 make.py clean || true
-	rm -rf build buildtmp *-stamp doc/source/savefig doc/source/user_guide/styled.xlsx doc/source/index.rst
+	rm -rf build buildtmp *-stamp doc/source/savefig doc/source/user_guide/styled.xlsx doc/source/index.rst _version_meson.py
 	dh_clean
 
 execute_before_dh_auto_build: # ${PY3VERS:%=_uncythonize%}
 	mkdir -p buildtmp
-	[ -e pandas/__version.py ] || \
-	echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py
+	echo -e "__version__ = '$(UVER_PY)'\n__git_version__ = 'not-from-upstream-git'" > _version_meson.py
 
 execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -132,5 +131,5 @@
 # see PYBUILD_TEST_ARGS above
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PYBUILD_SYSTEM=custom dh_auto_test
+#	PYBUILD_SYSTEM=custom dh_auto_test
 endif
