## pandas 2.3.3+dfsg

=== debian/changelog ===
pandas (2.3.3+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Drop unused dependency on RC-buggy python3-py
  * Drop "Rules-Requires-Root: no": it is the new default value

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 Oct 2025 08:54:48 +0200

pandas (2.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1117200)
  * Update contributors and patches.
  * Tests: don't require warnings removed in numexpr 2.13.1.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 Oct 2025 16:54:01 +0100
