=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pandas
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Rebecca N. Palmer <rebecca_palmer@zoho.com>
@@ -35,9 +35,9 @@
                python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
                python3-openpyxl (>= 3.1.0~) <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-psycopg2 (>= 2.9.6~) <!nocheck> <!nodoc>,
-               python3-py <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-pymysql (>= 1.0.2~) <!nocheck> <!nodoc>,
                python3-pyqt5 (>= 5.15.9~) [!alpha !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
+               python3-pytz (>= 2022.7~) <!nocheck> <!nodoc>,
 # in -indep to reduce circular dependencies python3-pyreadstat,
                python3-pytest (>= 7.3.2~) <!nocheck> <!nodoc>,
                python3-pytest-asyncio (>= 0.17~) <!nocheck> <!nodoc>,
@@ -53,7 +53,6 @@
                python3-tables (>= 3.8.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha] <!nocheck> <!nodoc>,
                python3-tabulate (>= 0.9.0~) <!nocheck> <!nodoc>,
                python3-tk <!nocheck> <!nodoc>,
-               python3-tz (>= 2022.7~) <!nocheck> <!nodoc>,
                python3-xlrd (>= 2.0.1~) <!nocheck> <!nodoc>,
                python3-xlsxwriter (>= 3.0.5~) <!nocheck> <!nodoc>,
                python3-versioneer,
@@ -100,7 +99,6 @@
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 Homepage: https://pandas.pydata.org/
-Rules-Requires-Root: no
 
 Package: python3-pandas
 Architecture: all
@@ -113,7 +111,7 @@
          tzdata
 Recommends: python3-scipy,
             python3-matplotlib,
-            python3-tz,
+            python3-pytz,
 # for faster processing
 # see -lib for python3-numba
             python3-bottleneck,
