=== debian/rules ===
--- 
+++ 
@@ -131,5 +131,5 @@
 # see PYBUILD_TEST_ARGS above
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#	PYBUILD_SYSTEM=custom dh_auto_test
+	PYBUILD_SYSTEM=custom dh_auto_test
 endif
