=== debian/tests/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
          python3-odf (>= 1.4.1~),
          python3-openpyxl (>= 3.1.0~),
 # doesn't seem to work in this test environment         python3-psycopg2 (>= 2.9.6~),
-         python3-py,
 # doesn't seem to work in this test environment         python3-pymysql (>= 1.0.2~),
          python3-pyqt5 (>= 5.15.9~),
          python3-pyreadstat (>= 1.2.0~),
@@ -43,6 +42,7 @@
          python3-pytest-localserver,
          python3-pytest-xdist (>= 2.2.0~),
          python3-pytestqt (>= 4.2.0~),
+         python3-pytz (>= 2022.7~),
 # we don't have python3-pyxlsb
          python3-scipy (>= 1.10.0~),
          python3-setuptools (>= 51~),
@@ -51,7 +51,6 @@
          python3-tables (>= 3.8.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha],
          python3-tabulate (>= 0.9.0~),
          python3-tk,
-         python3-tz (>= 2022.7~),
          python3-xarray (>= 2022.12.0~),
          python3-xlrd (>= 2.0.1~),
          python3-xlsxwriter (>= 3.0.5~),
@@ -64,3 +63,4 @@
 
 # this test does not actually fail on failure - it exists to produce a log for monitoring known issues
 # (we can't use plain xfails for this, because some of these crash not just fail)
+Tests: ignoredtests
