=== debian/watch ===
version=4
opts="mode=git,gitexport=all,dversionmangle=s/.dfsg[0-9]*$//,uversionmangle=s/v//;s/rc/~rc/,repacksuffix=+dfsg" \
 https://github.com/pandas-dev/pandas refs/tags/v([0-9.]+)
